Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.conversation
Interface CpStateMachineHandler

All Superinterfaces:
  ConversationPolicyHandler

All Known Implementing Classes:
  AbleCpStateMachineHandler

public interface CpStateMachineHandler
extends ConversationPolicyHandler

The CpStateMachineHandler interface represents a ConversationPolicyHandler for a conversation policy represented by a CpStateMachine.

Note that the "current role" and "current state" are stored here, rather than in the CpStateMachine. This permits multiple CpStateMachineHandlers to use the same CpStateMachine instance.

Method Summary
`CpState` | `getCurrentState()` Returns the current state of the conversation policy being executed.
`CpStateMachine` | `getStateMachine()` Returns the CpStateMachine for the conversation policy being executed.

Methods inherited from interface com.ibm.conversation.ConversationPolicyHandler
`childReturn, getCurrentStateName, getDecisionLogicCallbackNames, getMessageTransformFactory, getOutputListener, getPolicyName, getRoles, getSelfRole, isDecisionState, processDecision, processMessage, setMessageTransformFactory, setOutputListener, start, timerExpired`

Method Detail

### getStateMachine

    public CpStateMachine getStateMachine()

  Returns the CpStateMachine for the conversation policy being executed.

  This returns the actual CpStateMachine in use, not a copy of it. Users should not make any changes to the CpStateMachine returned by this method.

  Returns:
    The CpStateMachine for the conversation policy being executed.

### getCurrentState

    public CpState getCurrentState()

  Returns the current state of the conversation policy being executed.

  This returns the actual current CpState, not a copy of it. Users should not make any changes to the CpState returned by this method.

  Returns:
    The CpState for the current state.
  See Also:
    `ConversationPolicyHandler.getCurrentStateName()`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005